<h2>Ejercicio 9</h2>

<form [formGroup]="form">

    <button
      mat-flat-button 
      type="button"
      color="primary"
      (click)="agregarUtil()"
    >
      +
    </button>

    <button 
      mat-flat-button 
      type="button"
      color="primary"
      (click)="eliminarUtiles()"
    >
      Eliminar Todo
    </button>


  <div formArrayName="utiles">
    
    <form [formGroup]="form1">
      <p *ngFor="let util of utilesEscolares.controls; let id = index">
        <mat-form-field appearance="outline">
        <mat-label>Lista de utiles</mat-label>
         <input 
          matInput type="text" 
          placeholder="Ingrese material"
          formControlName="nombre"
        >
      </mat-form-field>

      <mat-checkbox 
        class="example-margin"
        formControlName="aceptar"
      >
        Aceptar
      </mat-checkbox>
      <button 
        mat-stroked-button  
        type="text"
        color="primary"
        (click)="borrarUtil(id)"
      >
      Eliminar
      </button>
      </p>
      <mat-error *ngIf="nombreNoValido">
        Los datos no son validos
      </mat-error>
    </form> 
  </div>
  <!-- guardarcajas -->
  <button mat-stroked-button color="primary" (click)="guardar()"[disabled]="form1.invalid">Guardar</button>
  <!-- limpiarCajas -->
  <button mat-stroked-button color="primary" (click)="limpiar()">Limpiar</button>
  
</form>

<textarea 
  placeholder="Guardando" 
  id="mostrar-nombres" 
  style="height: 100px" value="{{lista2}}">
</textarea>